Subject: Re: Problem Ethernet Initialization MPC5200 + LXT971A

From: Stefan Strobl <[email-masked]>
Date: Mon, 08 Nov 2010 14:25:46 +0100

Hi Tiejun

tiejun.chen wrote:
> Stefan Strobl wrote:
>> To workaround I could make u-boot run eth_init() always but that doesn't
>> seem the right approach to this.
> 
> Yes. Often we shouldn't depend the bootloader do this when we use NIC. But its
> worth tracking eth_init in detail to check what are missed for Linux. I guest
> those should be dedicated to the hardware. For example, configuring
> multiplex-pin, or reset PHY before the real operation action and so on.
> 

You're right! It was a wrong Port Multiplex Configuration.

I think it's fair to expect the bootloader to do that bit of setup,
since it's very hardware dependent. All I did was to adapt my
CONFIG_SYS_GPS_PORT_CONFIG in u-boot.

Many thanks
Stefan.